

# UpdateLoggingConfiguration


Updates a specified logging configuration.

## Request Syntax


```
POST /UpdateLoggingConfiguration HTTP/1.1
Content-type: application/json

{
   "destinationConfiguration": { ... },
   "identifier": "string",
   "name": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [destinationConfiguration](#API_UpdateLoggingConfiguration_RequestSyntax) **   <a name="ivs-UpdateLoggingConfiguration-request-destinationConfiguration"></a>
A complex type that contains a destination configuration for where chat content will be logged. There can be only one type of destination (`cloudWatchLogs`, `firehose`, or `s3`) in a `destinationConfiguration`.  
Type: [DestinationConfiguration](API_DestinationConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: No

 ** [identifier](#API_UpdateLoggingConfiguration_RequestSyntax) **   <a name="ivs-UpdateLoggingConfiguration-request-identifier"></a>
Identifier of the logging configuration to be updated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:logging-configuration/[a-zA-Z0-9-]+`   
Required: Yes

 ** [name](#API_UpdateLoggingConfiguration_RequestSyntax) **   <a name="ivs-UpdateLoggingConfiguration-request-name"></a>
Logging-configuration name. The value does not need to be unique.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]*`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "createTime": "string",
   "destinationConfiguration": { ... },
   "id": "string",
   "name": "string",
   "state": "string",
   "tags": { 
      "string" : "string" 
   },
   "updateTime": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-arn"></a>
Logging-configuration ARN, from the request (if `identifier` was an ARN).  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivschat:[a-z0-9-]+:[0-9]+:logging-configuration/[a-zA-Z0-9-]+` 

 ** [createTime](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-createTime"></a>
Time when the logging configuration was created. This is an ISO 8601 timestamp; *note that this is returned as a string*.  
Type: Timestamp

 ** [destinationConfiguration](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-destinationConfiguration"></a>
A complex type that contains a destination configuration for where chat content will be logged, from the request. There is only one type of destination (`cloudWatchLogs`, `firehose`, or `s3`) in a `destinationConfiguration`.  
Type: [DestinationConfiguration](API_DestinationConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.

 ** [id](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-id"></a>
Logging-configuration ID, generated by the system. This is a relative identifier, the part of the ARN that uniquely identifies the room.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `[a-zA-Z0-9]+` 

 ** [name](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-name"></a>
Logging-configuration name, from the request (if specified).  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 128.  
Pattern: `[a-zA-Z0-9-_]*` 

 ** [state](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-state"></a>
The state of the logging configuration. When the state is `ACTIVE`, the configuration is ready to log chat content.  
Type: String  
Valid Values: `ACTIVE` 

 ** [tags](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-tags"></a>
Tags attached to the resource. Array of maps, each of the form `string:string (key:value)`.   
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 50 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.

 ** [updateTime](#API_UpdateLoggingConfiguration_ResponseSyntax) **   <a name="ivs-UpdateLoggingConfiguration-response-updateTime"></a>
Time of the logging configuration’s last update. This is an ISO 8601 timestamp; *note that this is returned as a string*.  
Type: Timestamp

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
  
HTTP Status Code: 403

 ** ConflictException **   
  
HTTP Status Code: 409

 ** PendingVerification **   
  
HTTP Status Code: 403

 ** ResourceNotFoundException **   
  
HTTP Status Code: 404

 ** ValidationException **   
  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/ivschat-2020-07-14/UpdateLoggingConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/ivschat-2020-07-14/UpdateLoggingConfiguration) 